CAPNG_GET_CAPS_FD(3)

NAME
capng_get_caps_fd - read file-based capabilities from extended attributes

SYNOPSIS
#include <cap-ng.h>

int capng_get_caps_fd(int fd);

DESCRIPTION

This function will read the file based capabilities stored in extended attributes of the file that the descriptor was opened against. The bounding set is not included in file based capabilities operations. Note that this function will only work if compiled on a kernel that supports file based capabilities such as 2.6.26 and later. If the "magic" bit is set, then all effect capability bits are set. Otherwise the bits are cleared.

RETURN VALUE

This returns 0 on success and -1 on failure.

SEE ALSO

capng_set_caps_fd(3), capabilities(7)

AUTHOR
Steve Grubb